summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Friesel <daniel.friesel@uos.de>2023-06-07 14:56:57 +0200
committerDaniel Friesel <daniel.friesel@uos.de>2023-06-07 14:56:57 +0200
commit97ec8d6a76deb6e70639eeb010f610b31246f426 (patch)
tree9f2b63564658bc7b7f1e3da02bff1de940685782
parentf2c4d650750f7817ab5a6e570840bb9ee3434ee8 (diff)
run.sh: variable array size
-rwxr-xr-xrun.sh18
1 files changed, 9 insertions, 9 deletions
diff --git a/run.sh b/run.sh
index d30b956..1b3d995 100755
--- a/run.sh
+++ b/run.sh
@@ -2,13 +2,13 @@
set -e
-ARRSIZE=512
-
-./mbw -t0 ${ARRSIZE}
-./mbw -t1 ${ARRSIZE}
-for blocksize in 8 16 32 64 128 256 512 1024 \
- $((1024*2)) $((1024*4)) $((1024*8)) $((1024*16)) $((1024*32)) $((1024*64)) \
- $((1024*128)) $((1024*256)) $((1024*512)) $((1024*1024)) \
- $((1024*1024*2)) $((1024*1024*4)) $((1024*1024*8)) $((1024*1024*16)); do
- ./mbw -b $blocksize -t2 ${ARRSIZE}
+for ARRSIZE in 4 8 16 32 64 128 256 512 1024 2048 4096 8192; do
+ ./mbw -t0 ${ARRSIZE}
+ ./mbw -t1 ${ARRSIZE}
+ for blocksize in 8 16 32 64 128 256 512 1024 \
+ $((1024*2)) $((1024*4)) $((1024*8)) $((1024*16)) $((1024*32)) $((1024*64)) \
+ $((1024*128)) $((1024*256)) $((1024*512)) $((1024*1024)) \
+ $((1024*1024*2)) $((1024*1024*4)) $((1024*1024*8)) $((1024*1024*16)); do
+ ./mbw -b $blocksize -t2 ${ARRSIZE} || true
+ done
done